EchoPet

EchoPet Title

Important information on this project in light of recent events.

Logo

Wiki Source Dev Builds

Quote from DSH105:

The forums have now been enabled and can be accessed via the navigation bar. More importantly, I'm interested in your input towards the new pet attacking AI to be implemented in EchoPet v3.

If EchoPet is not loading on your Spigot 1.8 build and your server is outputting "Skipping loading of EchoPet as it does not work with Spigot 1.8 builds!", please try running a later Spigot patch. I can't do anything about older Spigot releases blacklisting the plugin (preventing it from loading).

Break

The future of this plugin is still being determined.

Break

Development builds of this project can be acquired at the provided continuous integration server. These builds have not been approved by the BukkitDev staff. Use them at your own risk.

Break

EchoPet is a simple Donator Perk plugin designed to add Pets that follow players around on their adventures throughout Minecraft. All Pets are custom entities spawned and controlled by the plugin.

Break

Features

Great for donator perks!
Pets are greatly customisable, through the extensive Command Base and PetMenu
A Custom AI makes all Pets focused on specific goals, handled closely by the core of the Plugin
All mobs can be Pets, even human entities
All events fired by the plugin are accessible through the EchoPet Developer API
The API also makes it possible to add many new and interesting features to the limit of creativity
Support for MySQL databases

Note: The Developer API is only available in v2.0.6 and after

All information can be found on the official EchoPet Wiki, which can be accessed using the button above

Break

Auto-Update

EchoPet comes with an auto-updater to save you, as a server owner, from continually checking this page for new files. It simply connects to dev.bukkit.org and compares the versions of available files. If you do not wish for EchoPet to perform this check, navigate to the Configuration File (config.yml) in the EchoPet directory of your plugins folder and change "checkForUpdates" and "autoUpdate" to "false". The first value disables the version comparison altogether and the second updates the plugin automatically if new files are detected.

Break

MCStats

Metrics is used to collect plugin statistics. Only data such as plugin version and players online is collected. If you do not wish for this data to be collected, disable it in the 'Plugin Metrics' folder of your 'plugins' directory.

MCStats

Break

Break

Create A Ticket!

Break

GitHub

Break

Break

You must login to post a comment. Don't have an account? Register to get one!

  • Avatar of joehot200 joehot200 Sep 10, 2013 at 16:37 UTC - 0 likes

    I got everything working now. The plugin is working and is available to all my members - All my members are enjoying the plugin :)

    Last edited Sep 10, 2013 by joehot200

    Pretty much left bukkit :( sorry guys.
    If anyone wants to take over any of my plugins, tell me.

  • Avatar of CollinDesigns CollinDesigns Sep 10, 2013 at 14:40 UTC - 0 likes

    Can you make it so you need perm for getting the pet selector when its turned on in config? So only people who can get a pet get the kit selector when they join and default players do not?

  • Avatar of joehot200 joehot200 Sep 10, 2013 at 13:17 UTC - 0 likes

    @DSH105: Go

    Reload the configs - so you dont have to /reload.

  • Avatar of DSH105 DSH105 Sep 10, 2013 at 10:06 UTC - 0 likes

    @frenchtirox: Go What would that command do?

  • Avatar of frenchtirox frenchtirox Sep 10, 2013 at 10:00 UTC - 0 likes

    Good plugin but not command: /pet reload (I'm French)

  • Avatar of DSH105 DSH105 Sep 10, 2013 at 05:40 UTC - 0 likes

    @TheMagicPack: Go I can't maintain that many versions, sorry. You'll just have to wait for it [EDIT: FTB] to be updated.

    https://github.com/DSH105/EchoPet/issues/52

    Last edited Sep 10, 2013 by DSH105
  • Avatar of TheMagicPack TheMagicPack Sep 09, 2013 at 22:44 UTC - 0 likes

    @DSH105 Hey I'm just wondering if you could make 1.6.2 work with 1.5.2 as I have a ftb server that is 1.5.2 and some of the cmds don't exist because it is an older version of EchoPet.

  • Avatar of DSH105 DSH105 Sep 09, 2013 at 10:34 UTC - 0 likes

    @CollinDesigns: Go That command already exists :). As does /pet select.

  • Avatar of CollinDesigns CollinDesigns Sep 09, 2013 at 09:35 UTC - 0 likes

    @DSH105: Go

    But how to get it without setting it in the config? Since otherwhise default gets it and they can't pick anything and its kinda awkard then.... If there isn't a command make one in dev build please? Such as /pet selector

  • Avatar of DSH105 DSH105 Sep 09, 2013 at 06:14 UTC - 0 likes

    @CollinDesigns: Go There is an option in the config.yml (petSelector.giveOnJoin) that gives it to players when they join.

    @michael566: Go WIP ;).

Facts

Date created
Mar 12, 2013
Categories
Last update
May 22, 2015
Development stage
Release
License
GNU General Public License version 3 (GPLv3)
Curse link
EchoPet
Downloads
758,346
Recent files

Authors